devguard

Risk actionMappings

Get all action mappings for a risk.

GET
/risk-action/mappings/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

riskId*string
organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.devguard.ch/api/risk-action/mappings/?riskId=string&organizationId=string"
null
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?